--1.创建数据库，先删除[教学成绩管理数据库]，一段一段选中执行
use master        
create database 教学成绩管理数据库
go
use 教学成绩管理数据库
go

--2.创建表
create table 学生信息表
( 学号 char(6)  not null,       --设置不允许为空
  姓名 nchar(4) not null,
  性别 nchar(1) not null, 
  家庭住址 nvarchar(20) null,   --设置允许为空
  家庭电话 varchar(13)          -- 默认，允许为空
)
go

--3.验证，一条一条选中执行
insert 学生信息表 values('000001', '高八斗', '男', null, null)
insert 学生信息表 values(null, '富五车', '男', null, null)
select * from 学生信息表